Real Time Impressions
The impressions recorded by the advertising optimizer.
GET /impressions
Authorization Requiredhttps://[your-subdomain].trackdrive.com/api/v1/impressions
Advertising optimizer impressions.
Lists impressions recorded by the advertising optimizer, one per time a tracking number or offer was shown via Dynamic Number Insertion. Restricted to superusers; supports CSV or JSON output, cursor-based pagination, and filtering by a created_at date range and time zone.
Supported Formats
csv, jsonParams
| Param name | Description |
|---|---|
|
cursor Optional |
The API provides a technique called ‘cursoring’ to paginate large result sets. Cursoring separates results into pages (the size of which are defined by the per_page request parameter) and provides a means to move backwards and forwards through these pages. To retrieve cursored results, you initially pass a cursor with a value of -1 to the endpoint. By default, an API endpoint that supports cursoring will assume -1 was passed as cursor if you do not provide one. The response to a cursored request will contain metadata.next_cursor. The next_cursor is the cursor that you should send to the endpoint to receive the next batch of responses. You will know that you have requested the last available page of results when the API responds with a next_cursor = 0.
|
|
page Optional |
Return the next page of results.
|
|
per_page Optional |
How many results to return per page. The default is 25.
|
|
created_at_to Optional |
Date formatted like 2016-01-01 12:25:15 -0500
|
|
created_at_from Optional |
Date formatted like 2016-01-01 12:25:15 -0500
|
|
time_zone Optional |
Date ranges will be parsed using this time zone.
|